dunetpc - Feature #19703

Add tool-based dataprep
04/16/2018 01:45 PM - David Adams

Status: Closed Start date: 04/16/2018
Priority: Normal Due date:

Assignee: David Adams % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

We would like to have the option to run dataprep as sequence of tools instead of the current fixed sequence of srevices in
StandardRawDigitPrepService.

History

#1 - 04/16/2018 01:50 PM - David Adams

| have started work on this. The current dataprep module calls service StandardRawDigitPrepService with interface RawDigitPrepService to perform
data prep for a container of AdcChannelData objects. | am adding a new service ToolBasedRawDigitPrepService with same interface.

#2 - 04/17/2018 01:28 PM - David Adams

A first pass at the tool-based dataprep service is in place. The module calling this (or service-based dataprep) first fills the digit pointer for each
channel and then calls the dataprep service. The latter calls updateMap for a sequence of ADC channel tools and then calls the wire building service
for each channel.

There is test for the new service that does end-to-end processing using the following configuration:

RawDigitPrepService: {
AdcChannelToolNames: ["digitReader", "rawAdcPlotter", "adcSampleFiller", "preparedAdcPlotter", "adcThresho
ldSignalFinder"]
DoWires: "true"
LogLevel: 3
service_provider: "ToolBasedRawDigitPrepService"

}
The tools are taken from dataprep_tools.fcl and perform the following:
digitReader copies raw ADC data (and pedestal) from the RawDigit to acd.raw
adcSampleFiller fills acd.samples from acd.raw - pedestal
adcThresholdSignalFinder builds ROIs with a simple threshold algorithm
The other two create event displays.
#3 - 04/17/2018 02:02 PM - David Adams
- File adcraw_evt8 ch0-2559.png added
| have used the new module to look at data from the cold box test at CERN. A plot is attached.
| close this report.

#4 - 05/15/2018 10:57 AM - David Adams

Despite the preceding comment, this report was not closed and should not be. We should first demonstrate the full data prep chain for protodune
comparable to that obtained with the service-based module. Deconvolution is missing and | am adding a tool that makes use of
SignalShapingService.

#5 - 05/15/2018 12:14 PM - David Adams

| have added the aded channel tool VintageDeconvoluter that uses the usual SignalShapingService to perform deconvolution.

#6 - 08/03/2018 04:18 PM - David Adams

- Status changed from Assigned to Closed
THis is now the default for protodune
